package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

/**
 * 租赁订单项表 2017年3月9日
 * 
 * @author LJK
 */
public class RentOrderItem implements Serializable {

	private static final long serialVersionUID = -5549094847954344434L;
	private Integer itemId;// 订单项id
	private String itemOrderId;// 所属订单
	private Integer itemProductId;// 产品id
	private Integer itemColorId;// 产品颜色
	private Integer itemProductType;       //产品类型      区分赠品
	private Integer itemStatus;// 1：换货申请中；2：已换货；状态和之前商城状态基本一致，为0-11，12（已完成）去掉
	private Integer rentDeposit;// 押金金额
	private Integer rentIsOut;// 押金是否提取 1:已提取；0：未提取（默认）
	private Integer rentRemainDeposit;// 待提取金额(押金剩余金额)
	private String rentPledgeId;// 押金抵扣券id
	private Date itemReturnDate;// 申请退款时间/申请退货时
	private String itemInitCode;// 激活码
	private Integer itemCodeState;// 激活码状态1:未使用；2：已使用；
	private Integer ItemMachineNum;// 机器水量
	private Integer itemUseYears;// 使用年限
	private String itemProductName;// 商品名称
	private String itemProductPic;// 介绍图
	private String itemProductColorName;// 产品颜色
	private Date itemCreateDate;// 创建时间
	
	private String itemOpenId;	// openid
	
	/**
	 * 老的状态
	 */
	private Integer itemInitCodeOldState;

	public Integer getItemId() {
		return itemId;
	}

	public void setItemId(Integer itemId) {
		this.itemId = itemId;
	}

	public String getItemOrderId() {
		return itemOrderId;
	}

	public void setItemOrderId(String itemOrderId) {
		this.itemOrderId = itemOrderId;
	}

	public Integer getItemProductId() {
		return itemProductId;
	}

	public void setItemProductId(Integer itemProductId) {
		this.itemProductId = itemProductId;
	}

	public Integer getItemColorId() {
		return itemColorId;
	}

	public void setItemColorId(Integer itemColorId) {
		this.itemColorId = itemColorId;
	}

	public Integer getItemProductType() {
        return itemProductType;
    }

    public void setItemProductType(Integer itemProductType) {
        this.itemProductType = itemProductType;
    }

    public Integer getItemStatus() {
		return itemStatus;
	}

	public void setItemStatus(Integer itemStatus) {
		this.itemStatus = itemStatus;
	}

	public Integer getRentDeposit() {
		return rentDeposit;
	}

	public void setRentDeposit(Integer rentDeposit) {
		this.rentDeposit = rentDeposit;
	}

	public Integer getRentIsOut() {
		return rentIsOut;
	}

	public void setRentIsOut(Integer rentIsOut) {
		this.rentIsOut = rentIsOut;
	}

	public Integer getRentRemainDeposit() {
		return rentRemainDeposit;
	}

	public void setRentRemainDeposit(Integer rentRemainDeposit) {
		this.rentRemainDeposit = rentRemainDeposit;
	}

	public String getRentPledgeId() {
		return rentPledgeId;
	}

	public void setRentPledgeId(String rentPledgeId) {
		this.rentPledgeId = rentPledgeId;
	}

	public Date getItemReturnDate() {
		return itemReturnDate;
	}

	public void setItemReturnDate(Date itemReturnDate) {
		this.itemReturnDate = itemReturnDate;
	}

	public String getItemInitCode() {
		return itemInitCode;
	}

	public void setItemInitCode(String itemInitCode) {
		this.itemInitCode = itemInitCode;
	}

	public Integer getItemCodeState() {
		return itemCodeState;
	}

	public void setItemCodeState(Integer itemCodeState) {
		this.itemCodeState = itemCodeState;
	}

	public Integer getItemMachineNum() {
		return ItemMachineNum;
	}

	public void setItemMachineNum(Integer itemMachineNum) {
		ItemMachineNum = itemMachineNum;
	}

	public Integer getItemUseYears() {
		return itemUseYears;
	}

	public void setItemUseYears(Integer itemUseYears) {
		this.itemUseYears = itemUseYears;
	}

	public String getItemProductName() {
		return itemProductName;
	}

	public void setItemProductName(String itemProductName) {
		this.itemProductName = itemProductName;
	}

	public String getItemProductPic() {
		return itemProductPic;
	}

	public void setItemProductPic(String itemProductPic) {
		this.itemProductPic = itemProductPic;
	}

	public String getItemProductColorName() {
		return itemProductColorName;
	}

	public void setItemProductColorName(String itemProductColorName) {
		this.itemProductColorName = itemProductColorName;
	}

	public Date getItemCreateDate() {
		return itemCreateDate;
	}

	public void setItemCreateDate(Date itemCreateDate) {
		this.itemCreateDate = itemCreateDate;
	}

	public Integer getItemInitCodeOldState() {
		return itemInitCodeOldState;
	}

	public void setItemInitCodeOldState(Integer itemInitCodeOldState) {
		this.itemInitCodeOldState = itemInitCodeOldState;
	}

	public String getItemOpenId() {
		return itemOpenId;
	}

	public void setItemOpenId(String itemOpenId) {
		this.itemOpenId = itemOpenId;
	}
}
